/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
section.media-and-links {
  --text-color: var(--color__dark-grey);
  --accent-color: var(--color__dark-grey);
  --border-color: var(--color__light-grey);
  --border-hover-color: var(--color__dark-grey);
  color: var(--text-color);
  font-weight: 300;
}

section.media-and-links .block-section-wrapper {
  border-top: 1px solid var(--border-color);
  display: flex;
  gap: 8.75rem;
  padding-top: 1.875rem;
}

@media screen and (max-width: 1210px) {
  section.media-and-links .block-section-wrapper {
    flex-direction: column;
    gap: var(--spacing-content);
  }
}
section.media-and-links .block-section-wrapper .media-container {
  width: 38%;
  min-height: 37.5rem;
}

@media screen and (max-width: 1210px) {
  section.media-and-links .block-section-wrapper .media-container {
    width: 100%;
    aspect-ratio: 16/9;
    min-height: auto;
  }
}
section.media-and-links .block-section-wrapper .media-container video,
section.media-and-links .block-section-wrapper .media-container img {
  height: 100%;
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
  -webkit-clip-path: polygon(2.5rem 0, 100% 0, 100% calc(100% - 3.845rem), calc(100% - 2.5rem) 100%, 0 100%, 0 3.845rem);
          clip-path: polygon(2.5rem 0, 100% 0, 100% calc(100% - 3.845rem), calc(100% - 2.5rem) 100%, 0 100%, 0 3.845rem);
  max-height: 760px;
}

section.media-and-links .block-section-wrapper .links-container {
  width: 52%;
}

@media screen and (max-width: 1210px) {
  section.media-and-links .block-section-wrapper .links-container {
    width: 100%;
  }
}
section.media-and-links .block-section-wrapper .links-container .links-header-container {
  margin-bottom: 7.5rem;
}

@media screen and (max-width: 1210px) {
  section.media-and-links .block-section-wrapper .links-container .links-header-container {
    margin-bottom: 3.75rem;
  }
}
section.media-and-links .block-section-wrapper .links-container .links-header-container .section-category {
  font-weight: 400;
}

section.media-and-links .block-section-wrapper .links-container .links-header-container .section-category::before {
  background-color: var(--accent-color);
}

section.media-and-links .block-section-wrapper .links-container .links-header-container .section-header {
  font-weight: 300;
  max-width: 60%;
  text-wrap: pretty;
  margin-top: 1rem;
}

@media screen and (max-width: 850px) {
  section.media-and-links .block-section-wrapper .links-container .links-header-container .section-header {
    max-width: 80%;
    text-wrap: balance;
  }
}
section.media-and-links .block-section-wrapper .links-container .links-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  -moz-column-gap: 1.875rem;
       column-gap: 1.875rem;
}

@media screen and (max-width: 850px) {
  section.media-and-links .block-section-wrapper .links-container .links-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}
section.media-and-links .block-section-wrapper .links-container .links-grid .link-item {
  text-decoration: none;
  color: var(--text-color);
  display: flex;
  flex-direction: column;
  padding: 1rem 0 1.625rem;
  border-top: 1px solid var(--border-color);
  transition: all 0.2s ease;
}

section.media-and-links .block-section-wrapper .links-container .links-grid .link-item:hover {
  border-top: 1px solid var(--border-hover-color);
}

section.media-and-links .block-section-wrapper .links-container .links-grid .link-item:hover .link-item-top .link-item-button {
  border: 1px solid var(--border-hover-color);
}

section.media-and-links .block-section-wrapper .links-container .links-grid .link-item .link-item-top {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 1rem;
}

@media screen and (max-width: 850px) {
  section.media-and-links .block-section-wrapper .links-container .links-grid .link-item .link-item-top {
    align-items: center;
  }
}
section.media-and-links .block-section-wrapper .links-container .links-grid .link-item .link-item-top .link-header {
  font-weight: 300;
}

section.media-and-links .block-section-wrapper .links-container .links-grid .link-item .link-item-top .link-item-button {
  transition: all 0.2s ease;
  min-height: 45px;
  min-width: 45px;
}

section.media-and-links .block-section-wrapper .links-container .links-grid .link-item .link-item-top .link-item-button span {
  font-size: 0.75rem;
}

@media screen and (max-width: 850px) {
  section.media-and-links .block-section-wrapper .links-container .links-grid .link-item .link-description {
    max-width: 80%;
    text-wrap: balance;
  }
}
